Skip to main content
POST
/
v2
/
organizations
/
{orgId}
/
memberships
Create a membership
curl --request POST \
  --url https://api.cal.com/v2/organizations/{orgId}/memberships \
  --header 'Content-Type: application/json' \
  --data '
{
  "userId": 123,
  "role": "MEMBER",
  "accepted": false,
  "disableImpersonation": false
}
'
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/memberships"

payload = {
"userId": 123,
"role": "MEMBER",
"accepted": False,
"disableImpersonation": False
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({userId: 123, role: 'MEMBER', accepted: false, disableImpersonation: false})
};

fetch('https://api.cal.com/v2/organizations/{orgId}/memberships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "id": 123,
    "userId": 123,
    "teamId": 123,
    "accepted": true,
    "user": {
      "email": "<string>",
      "avatarUrl": "<string>",
      "username": "<string>",
      "name": "<string>",
      "bio": "<string>",
      "metadata": {
        "key": "value"
      }
    },
    "attributes": [
      {
        "id": "<string>",
        "name": "<string>",
        "type": "<string>",
        "option": "<string>",
        "optionId": "<string>"
      }
    ],
    "disableImpersonation": true
  }
}

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

orgId
number
required

Body

application/json

Either userId to attach an existing org user directly, or email to invite an existing Cal.com user via the dashboard's invite flow.

userId
number
required
role
enum<string>
default:MEMBER
required

If you are platform customer then managed users should only have MEMBER role.

Available options:
MEMBER,
OWNER,
ADMIN
accepted
boolean
default:false
disableImpersonation
boolean
default:false

Response

201 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required